This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 772726 - Update Oracle plugin - patch
Update Oracle plugin - patch
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: RHQ 4.3.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
 
Reported: 2012-01-09 14:44 EST by Elias Ross
Modified: 2012-01-31 13:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-31 13:26:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch; rebased on change 0e36c3ee8f of 4.3 (52.71 KB, application/octet-stream)
2012-01-09 14:44 EST, Elias Ross
no flags Details

  None (edit)
Description Elias Ross 2012-01-09 14:44:08 EST
Created attachment 551651 [details]
patch; rebased on change 0e36c3ee8f of 4.3

Description of problem:

Oracle Plugin. Bugfixes feature counting active and total
 connections per user.

Wrote a testing framework for it, so I can test the plugin (and others like it)
without having to deploy to an actual RHQ server

Version-Release number of selected component (if applicable):

On 4.3 branch.

Additional info:

Approved by contributor agreement.
Comment 2 Mike Foley 2012-01-17 09:07:11 EST
The development team is looking forward to including this contribution from the community!
Comment 3 Heiko W. Rupp 2012-01-19 07:41:40 EST
pushed to master in 2b63ea39a293e4 --thanks Elias!
Comment 4 Heiko W. Rupp 2012-01-19 07:43:32 EST
Note that I have disabled the test runs by default, as we usually don't have an Oracle database ready.

Note You need to log in before you can comment on or make changes to this bug.